Skip to main content
POST
/
api
/
v1
/
client
/
videofile2txt
cURL
curl --request POST \
  --url https://api.deapi.ai/api/v1/client/videofile2txt \
  --header 'Accept: <accept>' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form video='@example-file' \
  --form include_ts=true \
  --form model=WhisperLargeV3 \
  --form return_result_in_response=false \
  --form webhook_url=https://your-server.com/webhooks/deapi
{
  "data": {
    "request_id": "c08a339c-73e5-4d67-a4d5-231302fbff9a"
  }
}
Prerequisite: To ensure a successful request, you must first consult the Model Selection endpoint to identify a valid model slug, check specific limits and features, and verify LoRA availability.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept
enum<string>
default:application/json
required
Available options:
application/json

Body

multipart/form-data

Video transcription parameters

video
file
required

Video file to transcribe. Supported formats: MP4, MPEG, QuickTime (MOV), AVI, WMV, OGG. Maximum file size: 10 MB. Video must contain an audio stream.

include_ts
boolean
required

Should transcription include timestamps

model
string

The model to use for generation

Example:

"WhisperLargeV3"

return_result_in_response
boolean | null
default:false

If true, the result will be returned directly in the response instead of only download url. Optional parameter.

Example:

false

webhook_url
string<uri> | null

Optional HTTPS URL to receive webhook notifications for job status changes (processing, completed, failed). Must be HTTPS. Max 2048 characters. See Webhook Documentation for payload structure and authentication details.

Maximum string length: 2048
Example:

"https://your-server.com/webhooks/deapi"

Response

ID of the inference request.

data
object

Information from success endpoint